experimental-backends = true;
backend = "glx";
glx-no-stencil = true;
glx-no-rebind-pixmap = true;
unredir-if-possible = true;

corner-radius = 10;
rounded-corners-exclude = [
  "window_type = 'dock'",
  "window_type = 'desktop'"
];
round-borders = 1;

shadow = true;
shadow-opacity = .5;
shadow-radius = 20;
shadow-offset-x = -20;
shadow-offset-y = -10;
shadow-exclude = [
  "_NET_WM_STATE@:32a *= '_NET_WM_STATE_HIDDEN'",
  "_GTK_FRAME_EXTENTS@:c",
  "name = 'GLava'",
  "class_g = 'Conky'",
  "window_type = 'dock'",
];
shadow-ignore-shaped = false;

detect-rounded-corners = true;
hide-edge-border = true;
detect-transient = true;

blur-background = true;
blur-background-exclude = [
  "name = 'GLava'",
  "class_g = 'Conky'",
  "window_type = 'desktop'"
];
blur-kern = "3x3box";
blur-method = "dual_kawase";
blur-strength = 10;
opacity-rule = [
  "85:class_g = 'thunar'",
  "85:class_g = 'Thunar'",
  "70:name = 'GLava'",
];

fading = true;
fade-in-step = 0.08;
fade-out-step = 0.08;
